==== Version 0.13.0 changes since 0.12.2 ====
* Addition of hash fields to help with identification of duplicate
  recipes.
* Addition of last_modified field to recipe database.
* Addition of link field to database - now recipes imported from the
  web will automatically have a link pointing back to the original page.

==== Version 0.12.2 changes since 0.12.1 ====
* Fix Mealmaster importing bug
* Fix bug (?) which could cause ingredient search to fail in strange
  cases (where a DB had ingredients with key=None)

==== Version 0.12.1 changes since 0.12.0-pre1 ====

* Fix buggy trash behavior.
* Store version in database for ease of upgrades.
* Implement fix for broken databases from pre-0.11.4 installs
* Fix-up paragraphing in printing.

==== Version 0.12.0-pre1 changes since 0.11.5 ====
* Fix sort order
* Don't drop default entries for Category/Cuisine once user has entered one.
* Change version number to reflect intend to create a stable version
  once we're sure this version doesn't have any show-stoppers.

==== Version 0.11.5 changes since 0.11.4 ====
* Add more PDF Export modes for printing index cards, multiple
  columns, etc. Also add nice print page-layout widget.
* Tweak spacing in recipe card to avoid ugly disappearance of "Edit" buttons
* Recognize units in all kinds of capitalized or uncapitalized forms.
* Fix up bug in time-scanning code that led to making a link like
  <a>3 min</a>utes instead of <a>3 minutes</a>
* Add i18n for Swedish.
* Apply patch to fix text-flow in recipe card (Shane Hathaway)
* Apply localization patch to simplify translations. (Jens Persson)

==== Version 0.11.4 changes since 0.11.3 ====
* Make deleting an ingredient ungrey "Save" button
* Fix various bits of badness with Undo
* Fix gravity of cursor for text markup in instructions and notes.
* Fix allrecipes.com import
* Allow recognition of times written as 01:30 for 1 1/2 hours
* Improve testing suites (and therefore improve thoroughness of
  bug-checking before release)
* Fixed generic web import.
* PDF Import
* Printing support for windows
* Fix ugly window placement issues on windows and some other places.
* Improve recipezaar import.

==== Version 0.11.3 changes since 0.11.2 ====
* i18n fixes from Simon Darlington
* Fix bug that reversed ingredient order when adding ingredients to a group.
* Allow fraction-use to be turned off, and make it default to off for
  German (other locales can default it to off via defaults_foo.py)
* Fix bug that caused unicode error on upgrade from metakit.
* Fix some other bugginess in handling old upgrades.
* Rearrange main index window to work better on small screens.
* Update to DTD thanks to Gianpaolo Racca.

==== Version 0.11.2 changes since 0.11.1 ====

* Add new icons from Yula Zubritsky
* Add nifty timer.
* Parse times written out as words.

==== Version 0.11.1 changes since 0.11.0 ====

* Fix bug that broke changing the shopping category of an ingredient
  from within the ingredient editing view.
* Fix traceback when filling ingredient-editor from a unitless
  ingredient.
* Fix problem with recipe-links not working when they contained
  unicode (such as the unicode for 1/2, 1/4, etc.)
* Make page-chooser in edit-view highlight the first page when we open
  a new recipe card. Otherwise, the function of the widget is unclear.

==== Version 0.11.0 changes since 0.10.1 ====

* Fix ingredient editing so that changes are no longer automatically
  committed to the DB. Now the ingredient tab of the recipe edit window
  works like everything else, with a standard "save" model.
* While we're at it, we prevent crashes from happening.
* Make Undo work more consistently throughout recipe card.
* Make database upgrade happen at runtime rather than install-time --
  this allows us to play nicely with RPM and DEB packages.

==== Version 0.10.2 changes since 0.10.1 ====

* Fix bug causing export from recipe card not to multiply ingredients
  properly.
* Fix various problems with ingredient editing (display of updates,
  undo/redo)
* Fix dialog responses so hitting return and escape works more consistently.
* Fix bug in addition of ingredients in shopping list.

==== Version 0.10.1 changes since 0.10.0 ====
* Fix bug causing recipe cards to be destroyed when closed.
* Fix bug causing "None" to show up in shopping list when there is no
  unit.
* Fix popup menus throughout.

==== Version 0.10.0 changes cince 0.9.0.3 ====
* Switch database backend to SQLite. The backend is still abstract, so
  if in the future someone wants to switch back to metakit or to
  something else, it should be simple.
* Add new automated backup script into setup.py. This is less than
  ideal, but there's no real way to import smoothly from the old system
  to the new.
* Make editing of recipe card a separate dialog from viewing recipe
  card. This allows the recipe card itself to lose the toolbar and look
  much cleaner.
* Make text in recipe card reflow properly when resizing.
* Improve import speed drastically by not inserting auto-generated
  keys into key table.
* Only add keys to ingkey table (used for automatic key-guessing) when
  the user has modified something. This means we actually learn from the
  user rather than generating our own random noise.
* Add support for typing "or" in a search instead of using the or bar (|).
* Import sorting of USDA DB searches (in the nutritional info druid)
  to bring you better results faster.
* Many, many more bugfixes along the way.

 
==== Version 0.9.0.3 changes since 0.9.0.1 ====
* Fix email export
* Improve recipe card interface.

==== Version 0.9.0.2 changes since 0.9.0.1 ====
* Support python2.3

==== Version 0.9.0.1 changes since 0.9.0 ====
* Fixed shopping list handling of ranges.
* Fixed up MANIFEST to include all necessary files in our release.

==== Version 0.9.0 Changes since 0.8.x ====
* Implemented nutritional information database.
* Fixed a number of bugs causing crashing with the pageable-list view / metakit
* Cleaned up SQL code to an almost usable (but not quite usable) state.
* Generic HTML import as fallback when we have no filter for a given page
* Generic text import.

==== Version 0.8.6.5 Changes since 0.8.6.4 ====
* Fixed bug in recipe card editing that caused changes made in card
  view not to save properly.
* Fix epicurious import.
* Fix trash / deletion.
* Fix Forward button (desensitize when there are no more pages).
* Properly register newly added ingredients in display tab of recipe card.

==== Version 0.8.6.4 Changes since 0.8.6.3 ====
* Improved encoding dialog.
* Fixed handling of webpages with screwy encoding.

==== Version 0.8.6.3 Changes since 0.8.6.2 ====
* Added fast add-ingredient box
* Fixed some broken stuff
* Changed code underlying pageable model so it is much more stable
  (got rid of nasty error messages and many of the segfaults)
* Updated key editor to work with updates to backend/pageable model.

==== Version 0.8.6.2 Changes since 0.8.6.1 ====
* Display recipe in pages (first 25, next 25, so on) to speed up
  Gourmet. This makes just about everything "feel" faster -- startup,
  search, etc.
* Continue optimization of database.
* Properly handle multiple categories.

==== Version 0.8.6.1 Changes since 0.8.6.0 ====
* Database normalized; hopefully this will mean performance improvements
* Oodles of magic added to aid normalization of DB
* Key lookup improved / interface on recipe card should be less sluggish.
* ComboBoxEntry's changed so that one TAB moves focus out of them -- this
  should improve e.g. recipe entry though it does break consistency with
  other GTK apps.

==== Version 0.8.6.0 Changes since 0.8.5.x ====
* Changed database format for greater efficiency/speed.
* Times (cook/prep) are now stored internally as numbers of seconds,
  which means sorting just works
* Ratings are now done one a star-system, which means sorting just
  works.
* since ratings are done on a star system, we've introduced a dialog
  to let the user select how they'd like to translate textual ratings
  into stars

==== Version 0.8.5.12 Changes since 0.8.5.11 ====
* Added quick ingredient editor interface.
* Improved encoding dialog.
* Fixed handling of webpages with screwy encoding.
* Added foodnetwork.com import (preliminary).
======= end

==== Version 0.8.5.11 Changes since 0.8.5.10 ====
* Fixed menus in shopping list so they work without GNOME libraries.
* Fixed unit conversion (typo that resulted in e.g. "23 TBS flour"
  showing up.
* Behave better when locales are behaving badly.

==== Version 0.8.5.10 Changes since 0.8.5.9 ====
* Improved/Fixed lag when adding ingredients with the ingredient
  editor

==== Version 0.8.5.9 Changes since 0.8.5.8 ====
* Fixed nasty segfault when deleting unedited recipe 
* Fixed problem with markup showing up in some dialogs.

==== Version 0.8.5.8 Changes since 0.8.5.7 ====
* Fixed bug in deletion of new recipe and improved interface for
  deleting recipes that are already open
* Made search interface in select-recipe-as-ingredient dialog and
  recipe-wastebasket dialog consistent with new main search interface
* Removed default serving size of 4 from new recipes.
* Fixed mnemonic-activation of preptime and cooktime entries in recipe
  card view.
* Added shortcuts for deletion and printing.
* Added extra Control-O shortcut to open recipes, since it's pretty
  intuitive for a user to hit Control-O
* Fixed search-as-you-type in ingredient view of recipe card so that
  it properly finds group names as well as ingredients
* Got rid of some of the many gtk error messages spouted from time to
  time.
* Fixed bug that made recipe trash disappear forever if you closed it
  by closing the window

==== Version 0.8.5.7 Changes since 0.8.5.6 ====
* Improved automatic mnemonic conflict-resolution.
* Fixed hang in import from recipezaar website.
* Accept URLs without HTTP:// in webpage import.
* Cleaned up error messages for problems with webpage import.

==== Version 0.8.5.6 Changes since 0.8.5.5 ====
* Fixed bug in MM import that was causing instructions to be read as
  ingredients
* Changed look/feel of search interface on index page
* Split out HTML import stuff into separate "plugin" files and set up
  plugin interface for local user plugins.
* Added programmatic assignment of mnemonics to reduce mnemonic
  conflicts w/o increasing translator burden :)
* Set minimum width of image column to 0 so that it doesn't take up
  lots of space when there are no images
* Fixed bug in converter that caused conversion errors/inconsistency
  with mass-to-volume conversions.
* Fixed unit conversion in shopping so that we don't display things
  like 21 tbs. butter (even if all butter units we're combining were
  originally in tbs.)

==== Version 0.8.5.5 Changes since 0.8.5.4 ====
* Changed search interface to make clearer.

==== Version 0.8.5.4 Changes since 0.8.5.3 ====
* Fixed some recently introduced bugs that broke
  export
* Made updating search-by button automatically update search in
  search-as-you-type mode.
* Fixed i18n bug that broke numbers.


==== Version 0.8.5.3 Changes since 0.8.5.2 ====
* Fixed bug in MealMaster import
* Import instructions from krecipes!
* Improved handling of recipe references.

==== Version 0.8.5.2 Changes since 0.8.5.1 ====
* Fixed RTF Export
* Added support for exporting images in RTF export
* Added recognition and production of unicode fraction characters

==== Version 0.8.5.1 Changes since 0.8.5.0 ====
* Fixed compatability issue with pygtk 2.4
* Fixed problem in mastercook import for some
  malformed ingredient-lists.
* Correctly included zip_importer in MANIFEST

==== Version 0.8.5.0 Changes since 0.8.4.4 ====
* New web-page-importing architecture with support for three
  basic html templates as well as support for importing already
  supported formats directly from URLs.
* Added support for rezkonv import (German mealmaster clone)
* Fixed line-wrapping code in mealmaster/rezkonv import
* Improved UI of shopping list -- added explicit buttons for
  moving items between shopping and pantry list.
* Added support for importing gzipped, zipped, and tarred files
  from "Import file" or from "Import Webpage"
* Fixed defaults focus on dialogs (e.g. dialogs with Entry's put
  default focus on the Entry now).
* Made mealmaster import do a better job when handling malformed
  ingredient lists
* Added FAQ-style help from menus
* Fixed bug in Gourmet XML import

==== Version 0.8.4.4 Changes since 0.8.4.3 ====
* Made new recipes appear immediately again in index view.
* Fixed undo for combobox entries is recipe card view.
* Made changes in recipe index instantly reflected in reccard.
* Fixed alignment of widgets in recipe card "Details" view.

==== Version 0.8.4.3 Changes since 0.8.4.2 ====
* Fixed typo in gglobals in tarball
* Fixed bug that broke multiplication in shopping list.

==== Version 0.8.4.2 Changes since 0.8.4.1 ====
* Fixed bug that prevented adding nested recipes to
  shopping lists.
* Fixed export bug that failed on unusual servings values.

==== Version 0.8.4.1 Changes since 0.8.4.0 ====
* Fixed bug that broke on fresh install.
* Removed extraneous "print" statements left from testing.

==== Version 0.8.4.0 Changes since 0.8.3.5 ====
* Fixed export from recipe card to properly handle multiplying
  ingredients and following user preferences for changing unit.
* Consolidated preferences dialogs in one dialog with multiple tabs.
* Allow user to save choices about optional ingredients (and to forget
  saved settings).
* Added preference to allow user to always include (or always ignore)
  ingredients.
* Change order on exports so ingredients precede instructions.
* Properly handle ranges of ingredients throughout Gourmet!
* Moved "Preferences" to "Edit" menu where they are in most applications.
* Fixed window-position-saving so we don't remember size of maximized
  position as if they were the window-size coordinates.

==== Version 0.8.3.5 Changes since 0.8.3.4 ====
* Fixed typo in rtfexporter.
* Fixed linewrapping of splash screen for i18n'd versions of gourmet w/
  longer lines.
* Changed to building RPMs with specfiles based on those provided by
  Michael Peters (who is packaging gourmet for fedora)
* Included new Dutch defaults translations.

==== Version 0.8.3.4 Changes from 0.8.3.3
* Made mealmaster import slightly more flexible in recognition of groups.
* Fixed bug in mastercook import of recipes with optional ingredients.
* Fixed bug that broke on opening a recipe card.
* Improved handling of international numbers
* Fix mealmaster export to resist i18n of standardized field names.
* Fixed mealmaster import to properly recognize numbers with ,s as
  decimal points (as in German, Spanish, etc.)

==== Version 0.8.3.3 Changes from 0.8.3.2
* Fixed bug that broke renaming of ingredient groups.
* Fixed windows directory nonsense
* Use psyco if available to speed things up.
* Twiddled with sqlite to no end (still needs fix).

==== Version 0.8.3.2 Changes from 0.8.3.1
* Fixed bug that failed on fresh install.

==== Version 0.8.3.1 Changes from 0.8.3
* Fixed nasty nasty  bug in DB database for users coming from <0.8.3.
* Fixed bug preventing images from saving.
* Fixed bug preventing ingredient groups from working properly.

==== Version 0.8.3 Changes from 0.8.2
* Added windows printing support using wx
* Fixed bug in which cooking time wasn't exported in Gourmet format
* Fixed bug which made gourmet not recognize it's own .grmt extension
* Fixed a bug preventing HTML E-mail from working.

==== Version 0.8.2.1 Changes from 0.8.2
* Fixed bug preventing saving of shopping list.
* Fixed bug preventing proper saving of ingredient orders.

==== Version 0.8.2 Changes from 0.8.1.2
* Added krecipe import
* Added image import/export
* Changed Gourmet XML file format to be vastly simplified and to support images.
* Fixed bug that made filetype choices disappear on multiple exports

==== Version 0.8.1.2 Changes from 0.8.1.1
* Fixed alignment of "Add to shopping list" button (patch from Mikey Cooper)
* Applied patch from calvin@users.sourceforge.net to make mealmaster import more flexible.
* Fixed "print" on Windows to show dialog explaining we don't have printing on Windows.
* Fixed encoding-detecting code on imports: we query the user when two encodings might work.
* Fixed bug that made filetype options disappear from menu on multiple imports/exports.

==== Version 0.8.1.1 Changes from 0.8.1
* Fix handling of "^T" characters in mealmaster/mastercook import.
* Fix misaligned icon.
* Get rid of "save" calls in metakit, opting for autosave on a timer instead.

==== Version 0.8.1 Changes from 0.8.0 ===
* Fixed Windows Application Directory
* Fixed import of "servings" in Mealmaster import
* Fixed line-unwrapping code in Mealmaster import
* Fixed typo prevening mealmaster export from working in 0.8.0
* Fixed a number of problems where &s screwed up
  pango -- including layout and printing.
* Fixed search in recipe Wastebasket view.

==== Version 0.8.0 Changes from 0.7.1 ===
Miscellaneous
* Undo introduced across the board.
* Recipe's thrown in trash rather than deleted by default (allowing for
  undoing and rescue of trashed recipes).
* Always ask for print command when gnomeprint isn't functional (don't assume
  lpr, but do give it as the default).

Recipe Card
* New tabbed interface for recipe card
* Support for formatting text in instructions and notes
* Support for pasting ingredients
* Ask if you want to convert when you change a unit in the ingredient list view.
* Added new "Cooking Time" attribute.

Backends
* Experimental support for sqlite and mysql backends
* Automatic committing of DB (user no longer has to "save DB" to save
  changes).

Import/Export
* Improved mealmaster(tm) export
* Substantially improved speed of mealmaster(tm) import
* Multiple imports allowed at a time by selecting multiple imports
  (and elegantly displayed in new dialog).
* Added support for multiple columns of ingredients in mealmaster.


==== Version 0.7.1 Changes from 0.7.0 ====

* RPM spec file fixed so dependencies should be properly worked out now.
* Debian files included in source tarball.
* Unit Converter improvements with help from Richard Ferguson (more UI improvements soon to come!)
* Printing is now properly reported as non-existent across the board on Windows
* Non-GNOME printing is now improved -- if LPR doesn't exist, user is prompted for another print command.
* Fixed bug in recipe-card making it believe it is modified when a recipe has no servings information.
* Fixed bug in shopping list that prevented category info entered in "Add Item To Shopping List" dialog not
  get saved.
* Moved around some files: printing has now been split into lprprinter, winprinter and gnomeprinter;
  defaults_en_US has been eliminated (defaults_en is now the norm).

==== Version 0.7.0 Changes from 0.6.7 ====

* Gourmet now builds on Windows! Fixed various path-related problems
  to make this work cleanly.
* Fixed bug in saveas dialog for shopping lists.
* Fixed bug that meant recipes called as in ingredients broke when they
  included optional ingredients.
* Added unit magic to change to the most readable unit when changing
  number of servings etc.
* Added preference dialog to Recipe Card view to allow selective removal
  of UI elements the user doesn't want.


==== Version 0.6.7 Changes from 0.6.6 ====

* Added script to properly handle file encodings on Mealmaster import.
* Fixed check for import/exports when quitting
* Added work around for strange pygtk 2.5 bug that was slowing down
  mealmaster imports.

==== Version 0.6.6 Changes from 0.6.5 ====

* Added support for printing multiple recipes and interface in main index view
  for printing selected recipes.
* Added e-mail support for e-mailing recipe from card or from index view.

==== Version 0.6.4 Changes from 0.6.3 ====

* Improvements in Mealmaster(tm) import
* Improvements in threading code.

==== Version 0.6.3 Changes from 0.6.2 ====

* Made dialog's wrap text rather than getting longer.
* Made message dialogs have pretty icons, using gtk.MessageDialog
* Made menus only include one "Import" and "Export" option rather than having submenus.
* Added filetype selection to fileSelector dialogs
* Added gnomeprint interface to printing for printing shopping lists.
* Added gnomeprint interface for printing recipes (which allows you to print your
  multiplications/divisions of recipes)
* Fixed threading code. Now imports and exports are pause-able and cancellable on quit.
* You can now type to select the searchBy menu.
* Changed searchbar in index view to allow proper tabbing between widgets.
* Added preview to image selection dialog.

==== Version 0.6.2 Changes from 0.6.1 ====
* Fixed up setup.py to not require gconf stuff (which
  we weren't using anyway)
* Setup gettext before and took a first crack at Spanish translations
* Fixed a few minor bugs, including one in Converter interface and
  one in quit confirmation.
* Added debian package.

==== Version 0.6.1 Changes from 0.6.0 ====
* Made sure HTML validates (fixed a number of small HTML bugs)
* Added <meta http-equiv="Content-Type" content="text/html;charset=utf-8">
  tag to specify correct encoding on HTML, following advice from 
  Fábio Mendes <niels_bohr@uol.com.br>
* Fixed dialog_extras.py to properly give an "Okay" button
  when creating a file or folder and an "Open" button when
  selecting (before we always gave the "Open" button.
* We now make sure we create our .gourmet directory if it doesn't exist.
* We now include recipe.dtd in the distribution.

==== Version 0.6.0 Changes from 0.5.0 ====

* Added RTF Export
* Added mnemonics for entries as per GNOME HIG
* Added KeyEditor to allow editing ingredient keys en masse
* Fixed key guessing routine so it is less likely to put
  together a wildly inaccurate guess
* Fixed Add-to-shopping-list dialog to use new ComboBoxEntry
  widgets and to share code with Ingredient Editor.
* Added UnitConverter interface for user's convenience.
* Fixed flow of widgets (tabbing)

==== Version 0.5.3 Changes from 0.5.1 ====

* Added Key Manager interface to facilitate fixing keys en masse
  and pave road for possibly adding a nutritional information
  database.
  
* Simplified main App interface by removing import/export buttons
  (these still 

==== Version 0.5.2 Changes from 0.5.1 ====

* Added support for re-ordering shopping lists.
* Added a button to recipe cards for importing text ingredient lists.


==GourmetRecipeManager.py==

revision 1.68
date: 2004/09/12 23:59:00;  author: tom;  state: Exp;  lines: +18 -6
Fixed ABOUT information & added new logo.
----------------------------
revision 1.67
date: 2004/09/12 20:36:37;  author: tom;  state: Exp;  lines: +5 -1
Added new menu-items to list of items to be dimmed when no recipes are
selected.
----------------------------

==reccard.py==

revision 1.10
date: 2004/09/12 20:36:03;  author: tom;  state: Exp;  lines: +24 -9
Added support for importing ingredients from plain text files.

==rmetakit.py==

revision 1.17
date: 2004/09/13 00:11:53;  author: tom;  state: Exp;  lines: +26 -7
Added support for storing the order of shopping list ingredients and
categories.

==shopping.py==

revision 1.12
date: 2004/09/11 16:44:04;  author: tom;  state: Exp;  lines: +69 -8
Created the mechanism for sorting our shopping list. Defaults to an
alphabetical sort, but will allow users to save custom orders.

==shopgui.py==

revision 1.5
date: 2004/09/12 23:59:42;  author: tom;  state: Exp;  lines: +48 -4
Added code to commit order of shopping categories to
memory. (Currently, you can reorganize categories but not individual
items).
----------------------------
revision 1.4
date: 2004/09/11 16:44:57;  author: tom;  state: Exp;  lines: +3 -12
Simplified list display, thanks to improved interface with shopping.py

==== Version 0.5.1 Changes from 0.5 ====

==setup.py==

Got rid of hard-coding of /usr/share/ and setup a MANIFEST file. Made
necessary changes in globals.py to make this work

==GourmetRecipeManager.py==

revision 1.66
date: 2004/08/20 01:16:44;  author: tom;  state: Exp;  lines: +3 -4
Got rid of old hard-coded default XML file.

date: 2004/08/19 23:42:50;  author: tom;  state: Exp;  lines: +45 -22
Some changes in threading code as well as superficial changes to
debugging code, etc.

==reccard.py==
revision 1.9
date: 2004/08/12 15:25:36;  author: tom;  state: Exp;  lines: +1 -1
If an empty shopping category is entered, we don't set it to "None",
we simply ignore.
----------------------------
revision 1.8
date: 2004/08/12 15:24:12;  author: tom;  state: Exp;  lines: +81 -37
Added functions to be called before and after modifying the tree to
avoid bizarre segfaults (pre_modify_tree and post_modify_tree).

==recindex.py==

revision 1.2
date: 2004/08/20 00:01:27;  author: tom;  state: Exp;  lines: +39 -7
Added support for toggle-able use of regular expressions.

==rmetakit.py==
revision 1.16
date: 2004/08/20 00:04:43;  author: tom;  state: Exp;  lines: +71 -22
Cleaned up system for generating new recipe IDs to avoid potential
confusion & problems when recipes are being added from multiple
points. Also made some changes to currently hard-coded location of
database file and default categories.

==rxml_to_metakit.py==

revision 1.8
date: 2004/08/20 00:07:47;  author: tom;  state: Exp;  lines: +29 -15
Made sure we used proper escaping in more spots for writing XML. Also
created nicer code for dealing with recipe references as ingredients.

==shopping.py==

date: 2004/08/12 15:26:56;  author: tom;  state: Exp;  lines: +16 -158
Moved defaults to another file.  Added patch provided by Brett Smith
to fix a but when a shopping category is None.

==== Version 0.4 Changes ====

Set up "spatial" feel for application. More than one recipe card are now allowed. Editing
works nicely in the ingredient TreeView now.

GourmetRecipeManager.py
----------------------------
revision 1.51
date: 2004/06/14 13:15:08;  author: tom;  state: Exp;  lines: +10 -2
Added support for multiple dnd types, making ingredient list accept
drags from Mozilla Firefox or from TreeView widgets (e.g. gedit).
----------------------------
revision 1.50
date: 2004/06/14 04:54:44;  author: tom;  state: Exp;  lines: +291 -164
* View menus that update depending on what recipe cards are open.
* Behaving properly if users cancel dialogs
* Capitalize names of classes
* Create Revert-changes button for RecCard view
* Add Shopping Category to ingredient list view
* Set up editing in ingredient list view to auto-complete keys and shopping categories
* Set up popup menu for ingredient list view shopping category
* Fix bug that made you lose your image when applying other changes.
* Got rid of code for toggle buttons that toggled views. I've replaced
  this with the new expander widgets.
----------------------------
revision 1.49
date: 2004/06/12 07:16:59;  author: tom;  state: Exp;  lines: +176 -121
Redesigned code to create truly object oriented user interface. Glade
files have no been separated for ease of maintenance and to make it
easier to create multiple recipe card windows.
----------------------------
revision 1.48
date: 2004/06/12 04:14:02;  author: tom;  state: Exp;  lines: +26 -5
laid basic groundwork for referring to recipe within ingredient list.
----------------------------

rmetakit.py
revision 1.13
date: 2004/06/14 04:58:24;  author: tom;  state: Exp;  lines: +23 -18
* Neatened up code in various places.
* Fixed but in ingredient parser that made it break when ingredients didn't have amounts.
----------------------------
revision 1.3
date: 2004/06/14 05:01:07;  author: tom;  state: Exp;  lines: +31 -15
* Added padding to labels
* Made FileSelector dialog return None on cancel
* Made cancelling return None in most/all places, fixing some
  buggy dialogs that wouldn't die.
----------------------------
